Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.internal.plastic
Enum TypeCategory

    java.lang.Object
      java.lang.Enum<TypeCategory>
          org.apache.tapestry5.internal.plastic.TypeCategory

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TypeCategory>

    public enum TypeCategory

extends java.lang.Enum<TypeCategory>

Defines the two basic kinds of non-primitive, non-array Java types: interfaces and classes.

See Also:
  `InstructionBuilder.invokeVirtual(String, String, String, String...)`, `InstructionBuilder.invokeInterface(String, String, String, String...)`

Enum Constant Summary
`CLASS`
`INTERFACE`

Method Summary
`static TypeCategory` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TypeCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INTERFACE

    public static final TypeCategory INTERFACE

### CLASS

    public static final TypeCategory CLASS

Method Detail

### values

    public static final TypeCategory[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TypeCategory c : TypeCategory.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TypeCategory valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.